import { jsx } from "react/jsx-runtime";
import { Token0XGAS as Token0XGAS$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Token0XGAS = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "0XGAS", "data-name": "Token0XGAS", ...props, children: /* @__PURE__ */ jsx(Token0XGAS$1, { variant }) });
  }
);
Token0XGAS.displayName = "Token0XGAS";
Object.assign(Token0XGAS, { isGdsIcon: true });
export {
  Token0XGAS
};
